Bug 145430 - Sendmail hangs on attachements on 2.6.10-1.741_FC3
Sendmail hangs on attachements on 2.6.10-1.741_FC3
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-01-18 07:59 EST by Sinan H
Modified: 2015-01-04 17:15 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.12-1.1381_FC3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-28 04:19:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sinan H 2005-01-18 07:59:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)

Description of problem:
After upgrading our mail server (sendmail) from 2.6.9-1.667 to
2.6.10-1.741_FC3, sending mails with attachements >~10K hangs.
Same behaviour with every mail software (pine, mozilla,
thunderbird...) and host platform (winXX, *nix)
Works well when booted in 2.6.9

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.boot the mail server on 2.6.10
2.send a mail with attachement from an other host via smtp
3.progression hangs at about 90%

Actual Results:  Connection with the mail server is established but
stalls before the mail is completely transferred to the server

Expected Results:  send mail !

Additional info:

serverside, incoming sendmail request with attachement doesn't get
logged. Probably normal because transfer is never completed. 
Small mails (no attachement, or only small txt attached) works well,
log normal. Sendmail configuration looks innocent.
Comment 1 Dave Jones 2005-07-15 13:33:05 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Sinan H 2006-01-11 08:58:13 EST
Fixed in 2.6.12-1.1381_FC3, though I dont have any idea how, why, what the hell etc.
Broken in lesser kernels.

Note You need to log in before you can comment on or make changes to this bug.